| highlighting-kate-0.2.6.2: Syntax highlighting | Source code | Contents | Index

Text.Highlighting.Kate.Format

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>

Description
Formatters that convert a list of annotated source lines to various output formats.
Synopsis

formatAsXHtml :: [FormatOption] -> String -> [SourceLine] -> Html

data FormatOption

= OptNumberLines
| OptNumberFrom Int
| OptLineAnchors
| OptTitleAttributes

defaultHighlightingCss :: String

Documentation

formatAsXHtml | Source

:: [FormatOption] | Options
-> String | Language
-> [SourceLine] | Source lines to format
-> Html |
Format a list of highlighted `SourceLine`s as XHtml.

data FormatOption | Source

Options for formatters.
Constructors

OptNumberLines | Number lines
OptNumberFrom Int | Number of first line
OptLineAnchors | Anchors on each line number
OptTitleAttributes | Include title attributes

Instances

Eq FormatOption
Read FormatOption
Show FormatOption

defaultHighlightingCss :: String | Source

Produced by Haddock version 2.4.2